import Test.Framework
import Test.Framework.Providers.DocTest (docTest)

-- Test.Framework.Providers.DocTest doesn't export defaultOptions.
defaultOptions = RunnerOptions { ropt_threads = Nothing
                               , ropt_test_options = Nothing
                               , ropt_test_patterns = Nothing
                               , ropt_xml_output = Nothing
                               , ropt_xml_nested = Nothing 
                               , ropt_plain_output = Nothing
                               , ropt_hide_successes = Nothing
                               }

main = do
    let testfiles = ["CC_Test1.hs", "CC_Test2.hs", "Generator1.hs", "Generator2.hs", "ProtocolRecovery.hs"]
    doctests <- docTest testfiles ["-itests"]
    defaultMainWithOpts [doctests] $ defaultOptions { ropt_plain_output = Just True }
